function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_room"
end

function p.__main()
    set_default_block("r_room")
    
    std.create_tube(3, "z", "e")
    std.create_half_tube(3, "y_pos", "e")
    
    local msg_str = "Welcome to (Basement) Floor 4! "
        .. "This level covers ^x00ff00Chapter 4 + 7^! "
        .. "of the Creation Manual.\n\n"
        .. "We already covered the \"set_pos\" and "
        .. "\"get_pos\" functions.\n\n"
        .. "On this floor you can see the more advanced "
        .. "block-related creation functions. "
        .. "Remember that by going to the console "
        .. "and typing \"path\", you can get the "
        .. "name of the Lua script for the chunk you are in. "
        .. "The command \"script\" "
        .. "will print that Lua script to the console. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
